Bug 439170 - [RFE] Scan for printer(s) button
[RFE] Scan for printer(s) button
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-03-27 09:24 EDT by Jóhann B. Guðmundsson
Modified: 2008-09-01 07:47 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.7-1.fc10
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-01 07:47:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2008-03-27 09:24:19 EDT
Description of problem:

When pressing New Printer button an automatic scan 
takes place. 

Is not better to move this *feature* to a seperated button 
[ Scan for printers ]

Gets annoying specially when you know that the current network your
on has no printer and or at the same time your adding a lot of other
printers and you have to wait for the scan each and every time you make a new 
printer entry.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2008-04-01 06:39:58 EDT
We have to scan at least once -- it's just asking CUPS for its list of devices.
 We don't get to say "only show local devices" or anything like that.

However, we could cache the list and provide a refresh button.
Comment 2 Jóhann B. Guðmundsson 2008-04-01 10:40:53 EDT
Can Windows Printer via Samba have a separated scan button or be inter graded to 
the refresh button as well.
Comment 3 Tim Waugh 2008-04-01 11:23:56 EDT
SMB printers are only searched for when you actually click on 'Windows Printer
via Samba'.  All CUPS tells us about that is that the backend is prepared to be
used; the Samba backend is not able to search for existing SMB shares. (Does
that answer your question?)
Comment 4 Jóhann B. Guðmundsson 2008-04-01 15:50:04 EDT
Indeed it does, thanks for the info.

But could we move that scan from the click windows printer via
samba to a special scan button instead of that happening automatic when 
selecting/clicking windows printer via samba.

So these are actually 2 buttons one refresh the other search for windows
printers scan.
Comment 5 Tim Waugh 2008-04-15 12:02:23 EDT
Actually today a change was checked into CUPS upstream that means that CUPS 1.4
*will* be able to only show us local devices unless we ask for network devices.
 Marking this as F10Target so we can pick that up.
Comment 6 Jon Stanley 2008-04-23 16:29:05 EDT
Adding FutureFeature keyword to RFE's.
Comment 7 Tim Waugh 2008-06-23 06:26:26 EDT
(In reply to comment #4)
> But could we move that scan from the click windows printer via
> samba to a special scan button instead of that happening automatic when 
> selecting/clicking windows printer via samba.

No, that isn't how it works.  It isn't a simple 'press a button and get a list'
type thing -- it's a tree that must be navigated, and which may require
authentication at various stages.

Anyway, I've created a trac entry for this:
https://fedorahosted.org/system-config-printer/ticket/36

Note You need to log in before you can comment on or make changes to this bug.